Permalink
Browse files

Upgrade Ruby to latest patchlevel. Update README. Change Ubuntu recip…

…e to use generic libmysqlclient-dev meta package.
  • Loading branch information...
1 parent 5206441 commit 72817b5875f64734d03b923fa42a7b1ccc9b7cba @joshfng joshfng committed May 4, 2012
Showing with 9 additions and 9 deletions.
  1. +3 −3 README.md
  2. +5 −5 railsready.sh
  3. +1 −1 recipes/ubuntu.sh
View
@@ -1,11 +1,11 @@
#Rails Ready
###Ruby and Rails setup script for Linux and OSX
###Distros supported:
- * Ubuntu 10.04 LTS, 10.10 and 11.04
+ * Ubuntu
* CentOS 5 (utilizes the Fedora EPEL repo)
* OSX (requires XCode to be installed)
-#
+#
###Run this on a fresh install. It WILL update your system!
###To run:
@@ -40,7 +40,7 @@ rvm install 1.9.3 --with-openssl-dir=$HOME/.rvm/usr
rvmsudo passenger-install-nginx-module
````
-#
+#
####Rails Ready now supports a "plugin" type system. The distro is detected and a corresponding "recipe" file is pulled down to run the distro specific setup steps. Check the recipes dir to see if your distro is supported. If you would like to add support for a system fork the repo, write a recipe, and submit a pull request. Take a look at recipes/ubuntu.sh for an idea of what to model your recipe after.
If you use this or have any suggestions let me know joshfng@gmail.com or @joshfng on Twitter
View
@@ -12,10 +12,10 @@ shopt -s nocaseglob
set -e
ruby_version="1.9.3"
-ruby_version_string="1.9.3-p125"
-ruby_source_url="http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p125.tar.gz"
-ruby_source_tar_name="ruby-1.9.3-p125.tar.gz"
-ruby_source_dir_name="ruby-1.9.3-p125"
+ruby_version_string="1.9.3-p194"
+ruby_source_url="http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p194.tar.gz"
+ruby_source_tar_name="ruby-1.9.3-p194.tar.gz"
+ruby_source_dir_name="ruby-1.9.3-p194"
script_runner=$(whoami)
railsready_path=$(cd && pwd)/railsready
log_file="$railsready_path/install.log"
@@ -48,7 +48,7 @@ elif [[ $MACHTYPE = *darwin* ]] ; then
if [[ ! -f $(which gcc) ]]; then
echo -e "\nXCode must be installed in order to build required software.\n"
exit 1
- fi
+ fi
else
echo -e "\nRails Ready currently only supports Ubuntu and CentOS and OSX\n"
exit 1
View
@@ -48,7 +48,7 @@ sudo $pm -y install \
echo "==> done..."
echo -e "\n=> Installing libs needed for sqlite and mysql..."
-sudo $pm -y install libsqlite3-0 sqlite3 libsqlite3-dev libmysqlclient16-dev libmysqlclient16 >> $log_file 2>&1
+sudo $pm -y install libsqlite3-0 sqlite3 libsqlite3-dev libmysqlclient-dev >> $log_file 2>&1
echo "==> done..."
# Install imagemagick

0 comments on commit 72817b5

Please sign in to comment.